[
  { /* reports layout specs */

    blockid=reports;
    custom=com.netscape.management.msgserv.nntp.NNTPReports;

    localvar=
    {
      .comp.space.btns = 30;
      .comp.space.btns.left = 300;
      .comp.space.btns.sep = 12;

      .notif.title=[titled, "\uc54c\ub9bc"];
      .notif.admin.label="\uad00\ub9ac\uc790 \uc804\uc790 \uc6b0\ud3b8 :";
      .notif.stats.enabled="\ud1b5\uacc4 \uc0ac\uc6a9 \uac00\ub2a5";
      .notif.warnings.text="\uc804\uc790 \uc6b0\ud3b8\uc744 \ud1b5\ud574 \uad00\ub9ac\uc790\uc5d0\uac8c \uae34\uae09 \uacbd\uace0 \ubcf4\ub0b4\uae30";
      .notif.newsdaily.text="\uc804\uc790 \uc6b0\ud3b8\uc744 \ud1b5\ud574 \uad00\ub9ac\uc790\uc5d0\uac8c news.daily \ubcf4\uace0\uc11c \ubcf4\ub0b4\uae30";

      .view.btn.daily.text="\uc77c\ubcc4 \ubcf4\uace0\uc11c \ubcf4\uae30";
      .view.btn.stats.text="\ud1b5\uacc4 \ubcf4\uae30";
      .view.btn.daily.cmd=".view.daily";
      .view.btn.stats.cmd=".view.stats";
    },

    content=
    [ /* reports layout contents */

      { /* notifications group */
        ctrl=pane;
        layout=[ybox];
        border=$.notif.title;
        content=
        [ /* notifications content */

          { /* statistics enabled */
            ctrl=togglepane;
            text=$.notif.stats.enabled;
            val=$service.nntp.service.statsenabled.nsvalue;
          }, /* statistics enabled */

          { /* component space */
            ctrl=vstrut;
            size=$g.comp.space;
          }, /* component space */

          { /* warnings enabled */
            ctrl=togglepane;
            text=$.notif.warnings.text;
            val=$service.nntp.service.sendwarnings.nsvalue;
          }, /* warnings enabled */

          { /* component space */
            ctrl=vstrut;
            size=$g.comp.space;
          }, /* component space */

          { /* news.daily reports enabled */
            ctrl=togglepane;
            text=$.notif.newsdaily.text;
            val=$service.nntp.service.sendreports.nsvalue;
          }, /* news.daily reports enabled */

          { /* component space */
            ctrl=vstrut;
            size=$g.comp.space;
          }, /* component space */

          { /* admin email */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* admin email contents */

              { /* label */
                ctrl=label;
                wrap=$.notif.label.size;
                alignh=left;
                aligny=0.5;
                text=$.notif.admin.label;
                id=newsmaster;
                label=newsmaster;
              },

              {
                ctrl=rigid;
              },

              { /* admin email textfield */
                ctrl=text;
                aligny=0.5;
                label=newsmaster;
                val=$service.nntp.service.newsmaster.nsvalue;
              } /* admin email textfield */

            ] /* admin email contents */
          } /* admin email */

        ] /* notifications content */
      }, /* notifications group */

      {
        ctrl=vstrut;
        size=$.comp.space.btns;
      },

      { /* view reports group */
        ctrl=pane;
        layout=[xbox];
        content=
        [ /* view reports contents */

          { /* glue buttons to the right */
            ctrl=hstrut;
            size=$.comp.space.btns.left;
          }, /* glue buttons to the right */

          { /* view daily reports */
            ctrl=pane;
            layout=[ybox];
            content=
            [ /* view daily reports contents */

              { /* btn. */
                ctrl=button;
                text=$.view.btn.daily.text;
                cmd=$.view.btn.daily.cmd;
              }, /* btn. */

              {
                ctrl=vstrut;
                size=$.comp.space.btns.sep;
              },

              { /* btn. */
                ctrl=button;
                text=$.view.btn.stats.text;
                cmd=$.view.btn.stats.cmd;
              } /* btn. */

            ] /* view daily reports contents */
          } /* view daily reports */

        ] /* view reports contents */
      } /* view reports group */

    ] /* reports layout contents */
  } /* reports layout specs */

]



